<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
  </PropertyGroup>

	<Target Name="PostBuild" AfterTargets="PostBuildEvent">
		<Exec Command="npm run buildcss" />
	</Target>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.4.0" />
    <PackageReference Include="Blazorise.LottieAnimation" Version="1.4.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Authentication" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.1" PrivateAssets="all" />
    <PackageReference Include="MudBlazor" Version="6.13.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Radzen.Blazor" Version="4.24.2" />
    <PackageReference Include="Refit" Version="7.0.0" />
    <PackageReference Include="Refit.HttpClientFactory" Version="7.0.0" />
    <PackageReference Include="Refit.Newtonsoft.Json" Version="7.0.0" />
    <PackageReference Include="Toolbelt.Blazor.PWA.Updater" Version="2.1.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\NetinaShop\NetinaShop.Domain\NetinaShop.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Utilities\" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Blazored.LocalStorage" />
    <Using Include="Microsoft.AspNetCore.Components" />
    <Using Include="Microsoft.IdentityModel.Tokens" />
    <Using Include="Microsoft.JSInterop" />
    <Using Include="MudBlazor" />
    <Using Include="NetinaShop.AdminPanel.PWA.Dialogs" />
    <Using Include="NetinaShop.AdminPanel.PWA.Dialogs.Originals" />
    <Using Include="NetinaShop.AdminPanel.PWA.Models" />
    <Using Include="NetinaShop.AdminPanel.PWA.Models.Api" />
    <Using Include="NetinaShop.AdminPanel.PWA.Services.RestServices" />
    <Using Include="NetinaShop.AdminPanel.PWA.Utilities" />
    <Using Include="NetinaShop.Common.Models.Api" />
    <Using Include="NetinaShop.Common.Models.Exception" />
    <Using Include="NetinaShop.Domain.CommandQueries.Commands" />
    <Using Include="NetinaShop.Domain.Dtos.LargDtos" />
    <Using Include="NetinaShop.Domain.Dtos.RequestDtos" />
    <Using Include="NetinaShop.Domain.Dtos.SmallDtos" />
    <Using Include="NetinaShop.Domain.Entities.ProductCategories" />
    <Using Include="NetinaShop.Domain.Entities.Products" />
    <Using Include="NetinaShop.Domain.Enums" />
    <Using Include="Newtonsoft.Json" />
    <Using Include="Refit" />
    <Using Include="System.Collections.ObjectModel" />
  </ItemGroup>

</Project>
